Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Commit the autogenerated files
[simgrid.git] / examples / gras / mutual_exclusion / simple_token / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = simple_token_node$(EXEEXT) \
46         simple_token_simulator$(EXEEXT)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
49         $(top_srcdir)/acmacro/dist-files.mk \
50         $(top_srcdir)/examples/temps-gras-stub.mk
51 subdir = examples/gras/mutual_exclusion/simple_token
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
54         $(top_srcdir)/acmacro/compiler-flags.m4 \
55         $(top_srcdir)/acmacro/context.m4 \
56         $(top_srcdir)/acmacro/fancy_configury.m4 \
57         $(top_srcdir)/acmacro/flex.m4 \
58         $(top_srcdir)/acmacro/gras_arch.m4 \
59         $(top_srcdir)/acmacro/print_null.m4 \
60         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
65 CONFIG_CLEAN_FILES = test_sg test_rl
66 PROGRAMS = $(noinst_PROGRAMS)
67 am_simple_token_node_OBJECTS = _simple_token_node.$(OBJEXT) \
68         simple_token.$(OBJEXT)
69 simple_token_node_OBJECTS = $(am_simple_token_node_OBJECTS)
70 simple_token_node_DEPENDENCIES = $(top_builddir)/src/libgras.la
71 am_simple_token_simulator_OBJECTS = _simple_token_simulator.$(OBJEXT) \
72         simple_token.$(OBJEXT)
73 simple_token_simulator_OBJECTS = $(am_simple_token_simulator_OBJECTS)
74 simple_token_simulator_DEPENDENCIES =  \
75         $(top_builddir)/src/libsimgrid.la
76 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
77 depcomp = $(SHELL) $(top_srcdir)/depcomp
78 am__depfiles_maybe = depfiles
79 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
80         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
81 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
82         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
83         $(AM_CFLAGS) $(CFLAGS)
84 CCLD = $(CC)
85 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
86         $(AM_LDFLAGS) $(LDFLAGS) -o $@
87 SOURCES = $(simple_token_node_SOURCES) \
88         $(simple_token_simulator_SOURCES)
89 DIST_SOURCES = $(simple_token_node_SOURCES) \
90         $(simple_token_simulator_SOURCES)
91 ETAGS = etags
92 CTAGS = ctags
93 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
94 ACLOCAL = @ACLOCAL@
95 ADDR2LINE = @ADDR2LINE@
96 AMDEP_FALSE = @AMDEP_FALSE@
97 AMDEP_TRUE = @AMDEP_TRUE@
98 AMTAR = @AMTAR@
99 AM_CFLAGS = @AM_CFLAGS@
100 AR = @AR@
101 AS = @AS@
102 AUTOCONF = @AUTOCONF@
103 AUTOHEADER = @AUTOHEADER@
104 AUTOMAKE = @AUTOMAKE@
105 AWK = @AWK@
106 BASH = @BASH@
107 CC = @CC@
108 CCDEPMODE = @CCDEPMODE@
109 CFLAGS = @CFLAGS@
110 CPP = @CPP@
111 CPPFLAGS = @CPPFLAGS@
112 CXX = @CXX@
113 CXXCPP = @CXXCPP@
114 CXXDEPMODE = @CXXDEPMODE@
115 CXXFLAGS = @CXXFLAGS@
116 CYGPATH_W = @CYGPATH_W@
117 DEFS = @DEFS@
118 DEPDIR = @DEPDIR@
119 DLLTOOL = @DLLTOOL@
120 DOXYGEN = @DOXYGEN@
121 ECHO = @ECHO@
122 ECHO_C = @ECHO_C@
123 ECHO_N = @ECHO_N@
124 ECHO_T = @ECHO_T@
125 EGREP = @EGREP@
126 EXEEXT = @EXEEXT@
127 F77 = @F77@
128 FFLAGS = @FFLAGS@
129 FLEXML = @FLEXML@
130 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
131 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
132 GRAS_DEP = @GRAS_DEP@
133 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
134 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
135 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
136 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
137 INSTALL_DATA = @INSTALL_DATA@
138 INSTALL_PROGRAM = @INSTALL_PROGRAM@
139 INSTALL_SCRIPT = @INSTALL_SCRIPT@
140 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
141 LDFLAGS = @LDFLAGS@
142 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
143 LEX = @LEX@
144 LEXLIB = @LEXLIB@
145 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
146 LIBOBJS = @LIBOBJS@
147 LIBS = @LIBS@
148 LIBTOOL = @LIBTOOL@
149 LN_S = @LN_S@
150 LTLIBOBJS = @LTLIBOBJS@
151 MAINT = @MAINT@
152 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
153 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
154 MAKEINFO = @MAKEINFO@
155 MD5SUM = @MD5SUM@
156 OBJDUMP = @OBJDUMP@
157 OBJEXT = @OBJEXT@
158 PACKAGE = @PACKAGE@
159 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
160 PACKAGE_NAME = @PACKAGE_NAME@
161 PACKAGE_STRING = @PACKAGE_STRING@
162 PACKAGE_TARNAME = @PACKAGE_TARNAME@
163 PACKAGE_VERSION = @PACKAGE_VERSION@
164 PATH_SEPARATOR = @PATH_SEPARATOR@
165 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
166 RANLIB = @RANLIB@
167 SET_MAKE = @SET_MAKE@
168 SHELL = @SHELL@
169 SIMGRID_DEP = @SIMGRID_DEP@
170 STRIP = @STRIP@
171 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
172 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
173 VERSION = @VERSION@
174 WARNING = @WARNING@
175 abs_builddir = @abs_builddir@
176 abs_srcdir = @abs_srcdir@
177 abs_top_builddir = @abs_top_builddir@
178 abs_top_srcdir = @abs_top_srcdir@
179 ac_configure_args = @ac_configure_args@
180 ac_ct_AR = @ac_ct_AR@
181 ac_ct_AS = @ac_ct_AS@
182 ac_ct_CC = @ac_ct_CC@
183 ac_ct_CXX = @ac_ct_CXX@
184 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
185 ac_ct_F77 = @ac_ct_F77@
186 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
187 ac_ct_RANLIB = @ac_ct_RANLIB@
188 ac_ct_STRIP = @ac_ct_STRIP@
189 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
190 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
191 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
192 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
193 am__include = @am__include@
194 am__leading_dot = @am__leading_dot@
195 am__quote = @am__quote@
196 am__tar = @am__tar@
197 am__untar = @am__untar@
198 bindir = @bindir@
199 build = @build@
200 build_alias = @build_alias@
201 build_cpu = @build_cpu@
202 build_id = @build_id@
203 build_os = @build_os@
204 build_vendor = @build_vendor@
205 datadir = @datadir@
206 exec_prefix = @exec_prefix@
207 host = @host@
208 host_alias = @host_alias@
209 host_cpu = @host_cpu@
210 host_os = @host_os@
211 host_vendor = @host_vendor@
212 includedir = @includedir@
213 infodir = @infodir@
214 install_sh = @install_sh@
215 libdir = @libdir@
216 libexecdir = @libexecdir@
217 localstatedir = @localstatedir@
218 mandir = @mandir@
219 mkdir_p = @mkdir_p@
220 oldincludedir = @oldincludedir@
221 prefix = @prefix@
222 program_transform_name = @program_transform_name@
223 pth_skaddr_makecontext = @pth_skaddr_makecontext@
224 pth_sksize_makecontext = @pth_sksize_makecontext@
225 sbindir = @sbindir@
226 sharedstatedir = @sharedstatedir@
227 sysconfdir = @sysconfdir@
228 target = @target@
229 target_alias = @target_alias@
230 target_cpu = @target_cpu@
231 target_os = @target_os@
232 target_vendor = @target_vendor@
233 INCLUDES = -I$(top_srcdir)/include
234 TESTS = test_rl test_sg
235 EXTRA_DIST = simple_token.xml $(TESTS)
236 simple_token_simulator_SOURCES = _simple_token_simulator.c simple_token.c
237 simple_token_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
238 simple_token_node_SOURCES = _simple_token_node.c simple_token.c
239 simple_token_node_LDADD = $(top_builddir)/src/libgras.la
240
241 # generate temps
242 NAME = simple_token
243 PROCESSES = node
244 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
245              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
246
247 MOSTLYCLEANFILES = $(NAME).trace
248 all: all-am
249
250 .SUFFIXES:
251 .SUFFIXES: .c .lo .o .obj
252 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
253         @for dep in $?; do \
254           case '$(am__configure_deps)' in \
255             *$$dep*) \
256               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
257                 && exit 0; \
258               exit 1;; \
259           esac; \
260         done; \
261         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/mutual_exclusion/simple_token/Makefile'; \
262         cd $(top_srcdir) && \
263           $(AUTOMAKE) --gnu  examples/gras/mutual_exclusion/simple_token/Makefile
264 .PRECIOUS: Makefile
265 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
266         @case '$?' in \
267           *config.status*) \
268             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
269           *) \
270             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
271             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
272         esac;
273
274 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
275         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276
277 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
278         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
279 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
280         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
281 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
282         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
283 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
284         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
285
286 clean-noinstPROGRAMS:
287         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
288           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
289           echo " rm -f $$p $$f"; \
290           rm -f $$p $$f ; \
291         done
292 simple_token_node$(EXEEXT): $(simple_token_node_OBJECTS) $(simple_token_node_DEPENDENCIES) 
293         @rm -f simple_token_node$(EXEEXT)
294         $(LINK) $(simple_token_node_LDFLAGS) $(simple_token_node_OBJECTS) $(simple_token_node_LDADD) $(LIBS)
295 simple_token_simulator$(EXEEXT): $(simple_token_simulator_OBJECTS) $(simple_token_simulator_DEPENDENCIES) 
296         @rm -f simple_token_simulator$(EXEEXT)
297         $(LINK) $(simple_token_simulator_LDFLAGS) $(simple_token_simulator_OBJECTS) $(simple_token_simulator_LDADD) $(LIBS)
298
299 mostlyclean-compile:
300         -rm -f *.$(OBJEXT)
301
302 distclean-compile:
303         -rm -f *.tab.c
304
305 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_simple_token_node.Po@am__quote@
306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_simple_token_simulator.Po@am__quote@
307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/simple_token.Po@am__quote@
308
309 .c.o:
310 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
311 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
312 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
313 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
314 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
315
316 .c.obj:
317 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
318 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
319 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
320 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
321 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
322
323 .c.lo:
324 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
325 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
326 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
327 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
328 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
329
330 mostlyclean-libtool:
331         -rm -f *.lo
332
333 clean-libtool:
334         -rm -rf .libs _libs
335
336 distclean-libtool:
337         -rm -f libtool
338 uninstall-info-am:
339
340 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
341         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
342         unique=`for i in $$list; do \
343             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
344           done | \
345           $(AWK) '    { files[$$0] = 1; } \
346                END { for (i in files) print i; }'`; \
347         mkid -fID $$unique
348 tags: TAGS
349
350 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
351                 $(TAGS_FILES) $(LISP)
352         tags=; \
353         here=`pwd`; \
354         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
355         unique=`for i in $$list; do \
356             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
357           done | \
358           $(AWK) '    { files[$$0] = 1; } \
359                END { for (i in files) print i; }'`; \
360         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
361           test -n "$$unique" || unique=$$empty_fix; \
362           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
363             $$tags $$unique; \
364         fi
365 ctags: CTAGS
366 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
367                 $(TAGS_FILES) $(LISP)
368         tags=; \
369         here=`pwd`; \
370         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
371         unique=`for i in $$list; do \
372             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
373           done | \
374           $(AWK) '    { files[$$0] = 1; } \
375                END { for (i in files) print i; }'`; \
376         test -z "$(CTAGS_ARGS)$$tags$$unique" \
377           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
378              $$tags $$unique
379
380 GTAGS:
381         here=`$(am__cd) $(top_builddir) && pwd` \
382           && cd $(top_srcdir) \
383           && gtags -i $(GTAGS_ARGS) $$here
384
385 distclean-tags:
386         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
387
388 check-TESTS: $(TESTS)
389         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
390         srcdir=$(srcdir); export srcdir; \
391         list='$(TESTS)'; \
392         if test -n "$$list"; then \
393           for tst in $$list; do \
394             if test -f ./$$tst; then dir=./; \
395             elif test -f $$tst; then dir=; \
396             else dir="$(srcdir)/"; fi; \
397             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
398               all=`expr $$all + 1`; \
399               case " $(XFAIL_TESTS) " in \
400               *" $$tst "*) \
401                 xpass=`expr $$xpass + 1`; \
402                 failed=`expr $$failed + 1`; \
403                 echo "XPASS: $$tst"; \
404               ;; \
405               *) \
406                 echo "PASS: $$tst"; \
407               ;; \
408               esac; \
409             elif test $$? -ne 77; then \
410               all=`expr $$all + 1`; \
411               case " $(XFAIL_TESTS) " in \
412               *" $$tst "*) \
413                 xfail=`expr $$xfail + 1`; \
414                 echo "XFAIL: $$tst"; \
415               ;; \
416               *) \
417                 failed=`expr $$failed + 1`; \
418                 echo "FAIL: $$tst"; \
419               ;; \
420               esac; \
421             else \
422               skip=`expr $$skip + 1`; \
423               echo "SKIP: $$tst"; \
424             fi; \
425           done; \
426           if test "$$failed" -eq 0; then \
427             if test "$$xfail" -eq 0; then \
428               banner="All $$all tests passed"; \
429             else \
430               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
431             fi; \
432           else \
433             if test "$$xpass" -eq 0; then \
434               banner="$$failed of $$all tests failed"; \
435             else \
436               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
437             fi; \
438           fi; \
439           dashes="$$banner"; \
440           skipped=""; \
441           if test "$$skip" -ne 0; then \
442             skipped="($$skip tests were not run)"; \
443             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
444               dashes="$$skipped"; \
445           fi; \
446           report=""; \
447           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
448             report="Please report to $(PACKAGE_BUGREPORT)"; \
449             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
450               dashes="$$report"; \
451           fi; \
452           dashes=`echo "$$dashes" | sed s/./=/g`; \
453           echo "$$dashes"; \
454           echo "$$banner"; \
455           test -z "$$skipped" || echo "$$skipped"; \
456           test -z "$$report" || echo "$$report"; \
457           echo "$$dashes"; \
458           test "$$failed" -eq 0; \
459         else :; fi
460
461 distdir: $(DISTFILES)
462         $(mkdir_p) $(distdir)/../../../../acmacro $(distdir)/../../../../examples
463         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
464         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
465         list='$(DISTFILES)'; for file in $$list; do \
466           case $$file in \
467             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
468             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
469           esac; \
470           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
471           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
472           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
473             dir="/$$dir"; \
474             $(mkdir_p) "$(distdir)$$dir"; \
475           else \
476             dir=''; \
477           fi; \
478           if test -d $$d/$$file; then \
479             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
480               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
481             fi; \
482             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
483           else \
484             test -f $(distdir)/$$file \
485             || cp -p $$d/$$file $(distdir)/$$file \
486             || exit 1; \
487           fi; \
488         done
489 check-am: all-am
490         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
491 check: check-am
492 all-am: Makefile $(PROGRAMS)
493 installdirs:
494 install: install-am
495 install-exec: install-exec-am
496 install-data: install-data-am
497 uninstall: uninstall-am
498
499 install-am: all-am
500         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
501
502 installcheck: installcheck-am
503 install-strip:
504         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506           `test -z '$(STRIP)' || \
507             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
508 mostlyclean-generic:
509         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
510
511 clean-generic:
512         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
513
514 distclean-generic:
515         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
516
517 maintainer-clean-generic:
518         @echo "This command is intended for maintainers to use"
519         @echo "it deletes files that may require special tools to rebuild."
520 clean: clean-am
521
522 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
523         mostlyclean-am
524
525 distclean: distclean-am
526         -rm -rf ./$(DEPDIR)
527         -rm -f Makefile
528 distclean-am: clean-am distclean-compile distclean-generic \
529         distclean-libtool distclean-tags
530
531 dvi: dvi-am
532
533 dvi-am:
534
535 html: html-am
536
537 info: info-am
538
539 info-am:
540
541 install-data-am:
542
543 install-exec-am:
544
545 install-info: install-info-am
546
547 install-man:
548
549 installcheck-am:
550
551 maintainer-clean: maintainer-clean-am
552         -rm -rf ./$(DEPDIR)
553         -rm -f Makefile
554 maintainer-clean-am: distclean-am maintainer-clean-generic
555
556 mostlyclean: mostlyclean-am
557
558 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
559         mostlyclean-libtool
560
561 pdf: pdf-am
562
563 pdf-am:
564
565 ps: ps-am
566
567 ps-am:
568
569 uninstall-am: uninstall-info-am
570
571 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
572         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
573         distclean distclean-compile distclean-generic \
574         distclean-libtool distclean-tags distdir dvi dvi-am html \
575         html-am info info-am install install-am install-data \
576         install-data-am install-exec install-exec-am install-info \
577         install-info-am install-man install-strip installcheck \
578         installcheck-am installdirs maintainer-clean \
579         maintainer-clean-generic mostlyclean mostlyclean-compile \
580         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
581         tags uninstall uninstall-am uninstall-info-am
582
583
584 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
585         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
586
587 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
588         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
589
590 dist-files:
591         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
592         @echo
593         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
594
595 # Cruft
596 # Tell versions [3.59,3.63) of GNU make to not export all variables.
597 # Otherwise a system limit (for SysV at least) may be exceeded.
598 .NOEXPORT: